"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.kebabToCamelCase = function (name) {
    if (name === void 0) { name = ''; }
    return name.replace(/-([a-z])/g, function (g) { return g[1].toUpperCase(); })
        // transform overall first character upper case too
        .replace(/([a-zA-Z])/, function (g) { return g[0].toUpperCase(); });
};
//# sourceMappingURL=kebabToCamelCase.js.map