"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kebabToCamelCase_1 = require("../function/kebabToCamelCase");
var dependencies_1 = require("../../../st-create-app/src/definition/dependencies");
exports.styleTemplate = function (elementName, style) {
    if (style === void 0) { style = {}; }
    var elementClassName = kebabToCamelCase_1.kebabToCamelCase(elementName);
    if (!style) {
        style = {};
    }
    if (!style[':host']) {
        style[':host'] = {};
    }
    return "import {TypedStyleSheet} from \"" + dependencies_1.springTypeCorePackageDependency + "\";\nimport {" + elementClassName + "} from \"./" + elementName + "\";\n\nexport default (element: " + elementClassName + ", theme: any): TypedStyleSheet => (" + JSON.stringify(style, null, 4) + ");";
};
//# sourceMappingURL=styleTemplate.js.map