"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kebabToCamelCase_1 = require("../function/kebabToCamelCase");
var dependencies_1 = require("../../../st-create-app/src/definition/dependencies");
exports.tplTemplate = function (elementName, tpl) {
    if (tpl === void 0) { tpl = ''; }
    var elementClassName = kebabToCamelCase_1.kebabToCamelCase(elementName);
    tpl = tpl ? tpl : "<div>" + elementName + "</div>";
    return "import {ActiveRenderer} from '" + dependencies_1.springTypeCorePackageDependency + "';\nimport {" + elementClassName + "} from \"./" + elementName + "\";\n\nexport default (element: " + elementClassName + ") => " + tpl + ";\n";
};
//# sourceMappingURL=tplTemplate.js.map