#!/usr/bin/env node
"use strict";
(function () {
    var packageJson = require('../../../package.json');
    var chalk = require('chalk');
    var currentNodeVersion = process.versions.node;
    var semver = currentNodeVersion.split('.');
    var major = parseInt(semver[0]);
    if (major < 10) {
        console.error(chalk.red('You are running Node ' +
            currentNodeVersion +
            '.\n' +
            packageJson.name + ' requires Node 10 or higher. \n' +
            'Please update your version of Node.'));
        process.exit(1);
    }
    require('./cli');
})();
//# sourceMappingURL=index.js.map