"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kebabToCamelCase_1 = require("../function/kebabToCamelCase");
var dependencies_1 = require("../../../st-create-app/src/definition/dependencies");
exports.elementTemplate = function (elementName) {
    var elementClassName = kebabToCamelCase_1.kebabToCamelCase(elementName);
    return "import {Element, Lifecycle, Template, Style} from \"" + dependencies_1.springTypeCorePackageDependency + "\";\nimport tpl from \"./" + elementName + ".tpl\";\nimport style from \"./" + elementName + ".style\";\n\n@Element('" + elementName + "')\n@Template(tpl)\n@Style(style)\nexport class " + elementClassName + " extends HTMLElement implements Lifecycle {\n\n    \n}\n\ndeclare global {\n    namespace JSX {\n        interface IntrinsicElements {\n            '" + elementName + "': Partial<" + elementClassName + ">;\n        }\n    }\n}\n";
};
//# sourceMappingURL=elementTemplate.js.map