"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsConfigTemplate = {
    "compilerOptions": {
        "target": "es5",
        "moduleResolution": "node",
        "module": "es2015",
        "importHelpers": true,
        "strict": true,
        "declaration": true,
        "noEmit": true,
        "rootDir": ".",
        "jsx": "react",
        "jsxFactory": "ActiveRenderer.createElement",
        "experimentalDecorators": true,
        "emitDecoratorMetadata": true,
        "strictPropertyInitialization": false,
        "sourceMap": true,
        "lib": [
            "dom",
            "es2017"
        ]
    },
    "exclude": [
        "node_modules",
        "dist",
        ".cache"
    ],
    "include": [
        "src"
    ]
};
//# sourceMappingURL=tsConfigTemplate.js.map